Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionHeader Class Reference

The QStyleOptionHeader class is used to describe the parameters for drawing a header. More...

    #include <QStyleOptionHeader>

Inherits QStyleOption.

- List of all members, including inherited members

### Read-Only Properties

icon : QIcon iconAlignment : Qt::Alignment section : int | text : QString textAlignment : Qt::Alignment

- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionHeader ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionHeader class is used to describe the parameters for drawing a header.

The QStyleOptionHeader class is used for drawing the item views' header pane, header sort arrow, and header label.

## Property Documentation

### icon : QIcon

This property holds the icon of the header.

### iconAlignment : Qt::Alignment

### section : int

This property holds which section of the header is being painted.

### text : QString

This property holds the text of the header.

### textAlignment : Qt::Alignment

## Member Function Documentation

### QStyleOptionHeader::QStyleOptionHeader ()

Constructs a QStyleOptionHeader. The members variables are initialized to default values.